set style data line
set style function lines
set zeroaxis
set grid

skinWidth = OL.get(PostPro/3SKINWIDTH)*1e-3
dermis = OL.get(Parameters/Skin/2EPIDERMIS)

set title "Area/Duration above threshold at OL.get(PostPro/2PROBETIME) ms"
set xlabel "Depth [mm]"
set ylabel "A_{A{/Symbol d}} [mm^2]"
set ytics nomirror
set y2tics
set y2label "Duration {/Symbol D} t_{A{/Symbol d}} [s]"
set xrange [0:0.3]
set arrow from dermis,graph(0,0) to dermis,graph(1,1) nohead lt 8
plot "activeMax.txt" u (skinWidth-($6))*1000:($8*1e6) w lp t "A_{A{/Symbol d}}",\
     "duration.txt" u (skinWidth-($6))*1000:8 axis x1y2 w lp t "{/Symbol D} t_{A{/Symbol d}}"

set ytics mirror
unset y2tics
unset y2label
set autoscale
unset arrow
